EDIT - feature request #7130

Registrations ListView allows filtering the list of registrations
12/08/2017 12:15 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

For 'normal' users (Submitter):

o Filter on identifier
¢ Filter on name associated with the Registration

For admins and 'Curators' two additional filters

¢ RegistrationStatus
e Submitter

Associated revisions

Revision 65¢80174 - 12/08/2017 02:27 PM - Andreas Kohlbecker

fix #7130 implementing registration list filters

Revision 92d26165 - 12/08/2017 03:41 PM - Andreas Kohlbecker

ref #7130 enhancing filter capabilities of RegistrationService

e extending Restrictions by support for property paths

History

#1 - 12/08/2017 12:15 PM - Andreas Kohlbecker
- Tags set to phycobank

#2 - 12/08/2017 02:28 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|65¢80174d86166f3da9alc4a51e7004b8e3bfdce.

#3 - 02/07/2018 05:32 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#4 - 02/07/2018 05:32 PM - Andreas Kohlbecker
- % Done changed from 50 to 100
